Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 154101

Summary: vgetty fails to record voice message
Product: [Fedora] Fedora Reporter: Thomas Zehetbauer <thomasz>
Component: mgettyAssignee: Martin Nagy <mnagy>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: hripps, mbarabas, trevor, triage
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-07 00:07:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
/var/log/vgett.log.modem none

Description Thomas Zehetbauer 2005-04-07 10:13:12 UTC
vgetty aborts when trying to record a message, it leaves an empty file behind.

Comment 1 Thomas Zehetbauer 2005-04-07 10:13:13 UTC
Created attachment 112802 [details]
/var/log/vgett.log.modem

Comment 2 Thomas Zehetbauer 2005-04-28 21:06:25 UTC
The problem was introduced between mgetty-1.1.31-2 and mgetty-1.1.31-4, it still
persists in mgetty-1.1.33-1

Comment 3 Jason Vas Dias 2005-07-20 16:52:00 UTC
Sorry for the long delay in processing this bug report - I now finally have
purchased a voice capable modem with which to test this bug.

My Hayes Accura records voice files successfully, but it requires the forceV253
option and uses the V253modem.c driver, not the US_Robotics.c driver.

All the log file you attached shows is vgetty terminating when voice file
recording commences.

I guess I'll have to purchase a US Robotics 56K also to test this bug ... unless:

Could you please gather some debug information ?
Reproduce the problem with strace enabled:
   # strace -tfp `pgrep vgetty` -o /tmp/vgetty.strace.log
   ( call up the number and reproduce the problem )
   # pkill strace
   # gzip -9 /tmp/vgetty.strace.log
and append the /tmp/vgetty.strace.log.gz file to this bug ?

Thank you!

Comment 4 Trevor Cordes 2006-07-05 20:43:44 UTC
Ideas for original poster: your log attachment is cutoff right when the output
should be getting juicy.  What does vgetty spit out after the "recording voice
file" line?

See my bug 197574: are you running selinux enforced?

Check file perms on the /var/spool/voice/incoming dir.

Try another modem if you can, USR's are known to be problematic for voice.


Comment 5 Bug Zapper 2008-04-03 16:04:22 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 6 Bug Zapper 2008-05-07 00:07:56 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp